export declare class Kubectl {
    type: string;
    binary: string;
    kubeconfig: string;
    namespace: string;
    endpoint: string;
    constructor(type: string, conf: {
        [propName: string]: any;
    });
    generateCommandArgs(args: string[]): any[];
    generateCommand(args: string[]): string;
    spawn(args: string[], done: any): void;
    callbackFunction(primise: any, callback: any): void;
    command(cmd: any, callback: any): Promise<unknown>;
    list(selector?: any, flags?: any, done?: any): Promise<unknown>;
    get(name: string, flags: any, done: any): Promise<unknown>;
    create(filepath: string, flags: any, done: any): any;
    delete(id: string, flags: any, done: any): Promise<unknown>;
    update(filepath: string, flags: any, done: any): Promise<unknown>;
    apply(name: string, json: any, flags: any, done: any): Promise<unknown>;
    rollingUpdateByFile(name: string, filepath: string, flags: any, done: any): Promise<unknown>;
    rollingUpdate(name: string, image: string, flags: any, done: any): Promise<unknown>;
    scale(name: string, replicas: string, flags: any, done: any): Promise<unknown>;
    logs(name: string, flags: any, done: any): Promise<unknown>;
    describe(name: string, flags: any, done: any): Promise<unknown>;
    portForward(name: string, portString: string, done: any): Promise<unknown>;
    useContext(context: any, done: any): Promise<unknown>;
    viewContext(done: any): void;
}
