import Redis from 'ioredis';
import mq from './mq';
import oss from './oss';
import elasticsearch from './elasticsearch';
import DatabaseLoader from './db';
import api from './api';
declare const dbForComponent: DatabaseLoader;
declare const dbForRepl: DatabaseLoader;
declare const config: {
    get(keys: string | string[]): Promise<any>;
    getAndWatch(keys: string | string[], callback: any): Promise<any>;
};
declare const redisInstance: () => Promise<Redis.Redis>;
export { dbForComponent, dbForRepl, redisInstance, config, api, mq, oss, elasticsearch };
