"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
const zignis_1 = require("zignis");
const elasticsearch_1 = require("@elastic/elasticsearch");
let client = null;
const es = () => __awaiter(void 0, void 0, void 0, function* () {
    if (client) {
        return client;
    }
    const { consul } = yield zignis_1.Utils.invokeHook('components');
    const { elasticsearch } = yield consul.get('elasticsearch');
    client = new elasticsearch_1.Client({ node: `${elasticsearch.host}:${elasticsearch.port}` });
    return client;
});
module.exports = es;
